Bug 480385 - Improved documentation for debuginfo-install
Improved documentation for debuginfo-install
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 14:49 EST by Christopher Beland
Modified: 2014-01-21 18:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 15:34:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2009-01-16 14:49:22 EST
Based on my experiences with Bug 455875, I would recommend the "debuginfo-install" manpage be expanded to include something like the following:

>>
For example, to install debuginfo for all install packages, you can do "debuginfo-install \*".

No debuginfo packages are necessary for "noarch" RPMs; these will generate a warning message.

On 64-bit systems, no multilib debuginfo packages are published, so if you have 32-bit packages installed, these will also generate warning messages.  All Fedora-supplied packages are available in 64-bit versions, so debugging of 32-bit packages on 64-bit systems is rarely needed and not officially supported.
<<

Reporting against version: yum-utils-1.1.19-1.fc11.noarch
Comment 1 Bug Zapper 2009-06-09 06:45:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 seth vidal 2009-10-09 15:34:04 EDT
I checked in this change

WARNING MESSAGES
       Could not find debuginfo for:
              if you run debuginfo-install for a wildcard or  glob.  Debuginfo
              packages  are not necessary for "noarch" RPMs; these will gener-
              ate a warning message.  Additionally, On 64-bit systems, no mul-
              tilib  debuginfo  packages  are published, so if you have 32-bit
              packages installed, these will also generate warning messages.
Comment 3 Fedora Update System 2009-11-07 01:56:39 EST
yum-utils-1.1.24-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/yum-utils-1.1.24-1.fc12

Note You need to log in before you can comment on or make changes to this bug.